Bug 1142155 - unreliable build of openSUSE:Factory/highlight
unreliable build of openSUSE:Factory/highlight
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Antoine Belvire
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-19 07:44 UTC by Dominique Leuenberger
Modified: 2021-02-22 02:15 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2019-07-19 07:44:50 UTC
The package highlight is amongst the ones failing often in the staging process. Retriggering (sometimes 5 times) usually gets the package built again (luckily, it is a rather short build time, so retriggering is a feasible workaround)

It would be great though if this package would build reliably

See for example the jobhist in the devel project:

> osc jobhist devel:tools/highlight openSUSE_Tumbleweed x86_64

or even more often rebuilding in Ring1:

> osc jobhist openSUSE:Factory:Rings:1-MinimalX/highlight standard x86_64
Comment 1 Antoine Belvire 2019-07-19 17:11:46 UTC
I will take a look.

> or even more often rebuilding in Ring1:

(Off-topic: Why is highlight in Ring1? It's a nice tool but not essential and nothing depends on it as far I know.)
Comment 2 Antoine Belvire 2019-07-19 18:24:34 UTC
https://build.opensuse.org/request/show/717136
Comment 3 Dominique Leuenberger 2019-07-21 13:37:00 UTC
(In reply to Antoine Belvire from comment #1)

> (Off-topic: Why is highlight in Ring1? It's a nice tool but not essential
> and nothing depends on it as far I know.)

> dependson highlight
highlight :
   evolution
Comment 4 Antoine Belvire 2019-08-05 09:58:03 UTC
Now in Factory, resolved fixed.
Comment 7 Swamp Workflow Management 2021-02-18 20:16:08 UTC
SUSE-RU-2021:0518-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1142155
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    highlight-3.59-3.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-02-22 02:15:09 UTC
openSUSE-RU-2021:0325-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1142155
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    highlight-3.59-lp152.4.3.1